Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class DNSUtil.WeightedHostAddress

    java.lang.Object
      org.jivesoftware.openfire.net.DNSUtil.HostAddress
          org.jivesoftware.openfire.net.DNSUtil.WeightedHostAddress

Enclosing class:
  DNSUtil

    public static class DNSUtil.WeightedHostAddress

extends DNSUtil.HostAddress

The representation of weighted address.

Method Summary
`int` | `getPriority()` Returns the priority.
`int` | `getWeight()` Returns the weight.

Methods inherited from class org.jivesoftware.openfire.net.DNSUtil.HostAddress
`getHost, getPort, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPriority

    public int getPriority()

  Returns the priority.

  Returns:
    the priority.

### getWeight

    public int getWeight()

  Returns the weight.

  Returns:
    the weight.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.